package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_warning_threshold")
public class EnergyWarningThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String maxWater;

    private String minWater;

    private String maxElectricity;

    private String minElectricity;

    private String maxFeed;

    private String minFeed;

    private String maxGas;

    private String minGas;

    /**
     * 通知人员id
     */
    private String userIds;

    private Integer farmId;

    private String other1;

    private String other2;

    private String other3;


}
