package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_count")
public class ProdCount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 保育成活率
     */
    private String bychl;

    /**
     * 育肥成活率
     */
    private String yfchl;

    /**
     *  每日喂料量
     */
    private String mrwll;

    /**
     * 日增重
     */
    private String rzz;

    private String farmId;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


}
