package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.entity.CameraBase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.CameraBaseVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-16
 */
public interface CameraBaseMapper extends BaseMapper<CameraBase> {

    IPage<CameraBaseVo> listPage(Page<CameraBase> page,@Param(Constants.WRAPPER) QueryWrapper<CameraBase> wrapper);
}
