package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 重要指标
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_analysis")
public class ProdAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 总成本
     */
    private String zcb;

    /**
     * 基础猪群
     */
    private String jczq;

    /**
     * 保育猪群
     */
    private String byzq;

    /**
     * 育肥猪群
     */
    private String yfzq;

    /**
     * 后备猪群
     */
    private String hbzq;

    /**
     * 1饲料成本  2公摊成本 3兽药成本
     */
    private Integer type;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creatTime;

    private Integer farmId;

    private String feedCost;
    private String energyCost;
    private String vaccineCost;
    private String otherCost;

    private String othre1;

    private String othre2;

    private String othre3;


}
