package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.SysAccountMultilevel;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.naming.Name;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
@Repository
public interface SysAccountMultilevelMapper extends BaseMapper<SysAccountMultilevel> {

    List<Integer> getLowerLevel(@Param("userId") Integer userId, @Param("farmId") String farmId);
}
